/// TAL Model
#[derive(Clone, Debug)]
pub struct Tal {
    /// Optional human-readable comments
    pub comments: Vec<String>,

    /// Ordered list of URIs pointing to the TA certificate
    pub uris: Vec<TalUri>,

    /// SubjectPublicKeyInfo DER
    pub spki_der: Vec<u8>,
}

#[derive(Debug, Clone)]
pub enum TalUri {
    Rsync(String),
    Https(String),
}
